fuzzyowl2

## Class FuzzyOwl2

- java.lang.Object
- - fuzzyowl2.FuzzyOwl2

- Direct Known Subclasses:
    FuzzyOwl2toDeLorean, FuzzyOwl2toFuzzyDL

      public class FuzzyOwl2
      extends java.lang.Object

  General class translating from OWL 2 into some fuzzy Description Logic language. Subclasses of Owl2ToFuzzyDescriptionLogic translate it into specific languages, such as the language of fuzzyDL, the language of DeLorean... The user must override most of the following methods:
  - protected String getAtomicConceptName(OWLClass c)
  - protected String getAtomicDataPropertyName(OWLDataProperty p)
  - protected String getAtomicObjectPropertyName(OWLObjectProperty p)
  - protected String getBottomConceptName()
  - protected String getBottomDataPropertyName()
  - protected String getBottomObjectPropertyName()
  - protected String getDataAllValuesFromName(OWLDataPropertyExpression p, OWLDataRange range)
  - protected String getDataExactCardinalityRestrictionName(int card, OWLDataPropertyExpression p)
  - protected String getDataExactCardinalityRestrictionName(int card, OWLDataPropertyExpression p, OWLDataRange range)
  - protected String getDataHasValueName(OWLDataPropertyExpression p, OWLLiteral lit)
  - protected String getDataMaxCardinalityRestrictionName(int card, OWLDataPropertyExpression p)
  - protected String getDataMaxCardinalityRestrictionName(int card, OWLDataPropertyExpression p, OWLDataRange range)
  - protected String getDataMinCardinalityRestrictionName(int card, OWLDataPropertyExpression p)
  - protected String getDataMinCardinalityRestrictionName(int card, OWLDataPropertyExpression p, OWLDataRange range)
  - protected String getDataSomeValuesFromName(OWLDataPropertyExpression p, OWLDataRange range)
  - protected String getIndividualName(OWLIndividual i)
  - protected String getObjectAllValuesFromName(OWLObjectPropertyExpression p, OWLClassExpression c)
  - protected String getObjectComplementOfName(OWLClassExpression c)
  - protected String getObjectExactCardinalityRestrictionName(int card, OWLObjectPropertyExpression p)
  - protected String getObjectExactCardinalityRestrictionName(int card, OWLObjectPropertyExpression p, OWLClassExpression c)
  - protected String getObjectHasSelfName(OWLObjectPropertyExpression p)
  - protected String getObjectHasValueName(OWLObjectPropertyExpression p, OWLIndividual i)
  - protected String getObjectIntersectionOfName(Set operands)
  - protected String getObjectMaxCardinalityRestrictionName(int card, OWLObjectPropertyExpression p)
  - protected String getObjectMaxCardinalityRestrictionName(int card, OWLObjectPropertyExpression p, OWLClassExpression c)
  - protected String getObjectMinCardinalityRestrictionName(int card, OWLObjectPropertyExpression p)
  - protected String getObjectMinCardinalityRestrictionName(int card, OWLObjectPropertyExpression p, OWLClassExpression c)
  - protected String getObjectOneOfName(Set set)
  - protected String getObjectSomeValuesFromName(OWLObjectPropertyExpression p, OWLClassExpression c)
  - protected String getObjectUnionOfName(Set operands)
  - protected String getShortName(OWLEntity e)
  - protected String getTopConceptName()
  - protected String getTopDataPropertyName()
  - protected String getTopObjectPropertyName()
  - protected void writeAsymmetricObjectPropertyAxiom(OWLObjectPropertyExpression p)
  - protected void writeChoquetConceptDefinition(String name, ChoquetConcept c)
  - protected void writeConceptAssertionAxiom(OWLIndividual i, OWLClassExpression c, double d)
  - protected void writeConceptDeclaration(OWLClassExpression c)
  - protected void writeDataPropertyAssertionAxiom(OWLIndividual i1, OWLLiteral i2, OWLDataPropertyExpression p, double d)
  - protected void writeDataPropertyDeclaration(OWLDataPropertyExpression dp)
  - protected void writeDataPropertyDomainAxiom(OWLDataPropertyExpression p, OWLClassExpression c)
  - protected void writeDataPropertyRangeAxiom(OWLDataPropertyExpression p, OWLDataRange c)
  - protected void writeDifferentIndividualsAxiom(Set set)
  - protected void writeDisjointClassesAxiom(Set set)
  - protected void writeDisjointDataPropertiesAxiom(Set set)
  - protected void writeDisjointObjectPropertiesAxiom(Set set)
  - protected void writeDisjointUnionAxiom(Set set)
  - protected void writeEquivalentClassesAxiom(Set set)
  - protected void writeEquivalentDataPropertiesAxiom(Set set)
  - protected void writeEquivalentObjectPropertiesAxiom(Set set)
  - protected void writeFunctionalDataPropertyAxiom(OWLDataPropertyExpression p)
  - protected void writeFunctionalObjectPropertyAxiom(OWLObjectPropertyExpression p)
  - protected void writeFuzzyLogic(FuzzyLogic logic)
  - protected void writeFuzzyNominalConceptDefinition(String name, FuzzyNominalConcept c)
  - protected void writeInverseFunctionalObjectPropertyAxiom(OWLObjectPropertyExpression p)
  - protected void writeInverseObjectPropertiesAxiom(OWLObjectPropertyExpression p1, OWLObjectPropertyExpression p2)
  - protected void writeIrreflexiveObjectPropertyAxiom(OWLObjectPropertyExpression p)
  - protected void writeLeftShoulderFunctionDefinition(String name, LeftShoulderFunction dat)
  - protected void writeLinearFunctionDefinition(String name, LinearFunction dat)
  - protected void writeLinearModifierDefinition(String name, LinearModifier mod)
  - protected void writeModifiedConceptDefinition(String name, ModifiedConcept c)
  - protected void writeModifiedFunctionDefinition(String name, ModifiedFunction dat)
  - protected void writeModifiedPropertyDefinition(String name, ModifiedProperty c)
  - protected void writeNegativeDataPropertyAssertionAxiom(OWLIndividual i1, OWLLiteral i2, OWLDataPropertyExpression p, double d)
  - protected void writeNegativeObjectPropertyAssertionAxiom(OWLIndividual i1, OWLIndividual i2, OWLObjectPropertyExpression p, double d)
  - protected void writeObjectPropertyAssertionAxiom(OWLIndividual i1, OWLIndividual i2, OWLObjectPropertyExpression p, double d)
  - protected void writeObjectPropertyDeclaration(OWLObjectPropertyExpression op)
  - protected void writeObjectPropertyDomainAxiom(OWLObjectPropertyExpression p, OWLClassExpression c)
  - protected void writeObjectPropertyRangeAxiom(OWLObjectPropertyExpression p, OWLClassExpression c)
  - protected void writeOwaConceptDefinition(String name, OwaConcept c)
  - protected void writeQowaConceptDefinition(String name, QowaConcept c)
  - protected void writeQuasiSugenoConceptDefinition(String name, QuasiSugenoConcept c)
  - protected void writeReflexiveObjectPropertyAxiom(OWLObjectPropertyExpression p)
  - protected void writeRightShoulderFunctionDefinition(String name, RightShoulderFunction dat)
  - protected void writeSameIndividualAxiom(Set set)
  - protected void writeSubclassOfAxiom(OWLClassExpression subclass, OWLClassExpression superclass, double d)
  - protected void writeSubDataPropertyOfAxiom(OWLDataPropertyExpression subProperty, OWLDataPropertyExpression superProperty, double d)
  - protected void writeSubObjectPropertyOfAxiom(OWLObjectPropertyExpression subProperty, OWLObjectPropertyExpression superProperty, double d)
  - protected void writeSubPropertyChainOfAxiom(List chain, OWLObjectPropertyExpression superProperty, double d)
  - protected void writeSugenoConceptDefinition(String name, SugenoConcept c)
  - protected void writeSymmetricObjectPropertyAxiom(OWLObjectPropertyExpression p)
  - protected void writeTransitiveObjectPropertyAxiom(OWLObjectPropertyExpression p)
  - protected void writeTrapezoidalFunctionDefinition(String name, TrapezoidalFunction dat)
  - protected void writeTriangularFunctionDefinition(String name, TriangularFunction dat)
  - protected void writeTriangularModifierDefinition(String name, TriangularModifier mod)
  - protected void writeWeightedConceptDefinition(String name, WeightedConcept c)
  - protected void writeWeightedMaxConceptDefinition(String name, WeightedMaxConcept c)
  - protected void writeWeightedMinConceptDefinition(String name, WeightedMinConcept c)
  - protected void writeWeightedSumConceptDefinition(String name, WeightedSumConcept c)
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FuzzyOwl2(java.lang.String input, java.lang.String output)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `translateOwl2Ontology()` Translates an OWL 2 ontology into a fuzzy one, processing the OWL 2 annotations.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FuzzyOwl2

          public FuzzyOwl2(java.lang.String input,
                   java.lang.String output)

      Constructor.
      Parameters:
        `input` - Path of the input ontology.
        `output` - Path of the output file; null for the standard output.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - Two arguments: the input OWL 2 ontology, and the output fuzzy ontology in fuzzyDL syntax.

    - #### translateOwl2Ontology

          public void translateOwl2Ontology()

      Translates an OWL 2 ontology into a fuzzy one, processing the OWL 2 annotations.